All Data Structures Functions Variables Enumerations Enumerator Groups Pages
sa_process_activity Struct Reference
Process interface

## Data Fields

pid_t | pid
| The id of the process.
enum sa_process_state | state
| The current state of the process.
uint64_t | user_time
| User mode jiffies.
uint64_t | sys_time
| Kernel mode jiffies.
uint32_t | threads
| Number of threads.
uint32_t | vm_size
| Virtual memory size.
uint32_t | rss
| Resident Set memory Size.

## Detailed Description

This structure holds the information of the activity of a process.

The documentation for this struct was generated from the following file:

- src/common/process.h